Page MenuHomePhabricator

Add python3 support for ElectionBot
Closed, DeclinedPublic

Event Timeline

Melos created this task.Feb 13 2019, 11:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 11:45 AM
MarcoAurelio triaged this task as High priority.Oct 13 2019, 11:26 AM
MarcoAurelio added subscribers: Rxy, MarcoAurelio.

@Rxy said this needs to be done by the end of this year or earlier.

Xqt added a subscriber: Xqt.Jan 8 2020, 3:46 PM

I see one php script only. This requests seems invalid.

The source code for this bot is yet not public. We need to make sure no private data is in the python files before publishing it.

Xqt added a comment.EditedJan 8 2020, 4:36 PM

The source code for this bot is yet not public. We need to make sure no private data is in the python files before publishing it.

I see. Can you move the private part as constants at the top of the python file and use them inside the script. Then publish the scripts without these parts to be converted. You can add the hidden parts after that.

Or move these parts into a config file and use ConfigParser to read the data. The config file can be kept private.

I'd love if @Rxy could help me. My Python coding is horrible, and the tools.stewardbots project is a total and absolute mess of files and processes. It looks even gerrit patches reviewed and merged must be manually copied to some hidden folders where the working code is hosted. Madness.

Legoktm changed the task status from Open to Stalled.Jan 17 2020, 10:34 AM
Legoktm added a subscriber: Legoktm.

Stalled until the source code can be made public

MarcoAurelio closed this task as Declined.Jan 20 2020, 9:27 PM

ElectionBot functionality is being replaced by wm-bot.